.webinar-block {
  padding: 32px 24px;
  margin-bottom: 32px;
  width: 100%;
  border-radius: 8px;
  background: linear-gradient(289deg, #DADBFF 0%, #FFF 100%);
}

.webinar-content {
  display: flex;
  width: 100%;
  flex-direction: column;
  gap: 8px;
}

.webinar-campaigns {
  display: none;
  z-index: -9999;
  opacity: 0;
}

.webinar-type {
  color: #FFF;
  font-size: 18px;
  font-weight: 500;
  line-height: 40px;
  border-radius: 24px;
  background: #8085F8;
  padding: 0 16px;
  width: fit-content;
}

.webinar-title {
  color: #212035;
  font-size: 32px;
  font-weight: 700;
  line-height: 40px;
}

.webinar-date {
  color: #8085F8;
  font-size: 32px;
  font-weight: 700;
  line-height: 40px;
}

.main-post .post-content .webinar-block p,
.category .webinar-block p {
  color: #212035;
  font-size: 18px;
  font-weight: 400;
  line-height: 25px;
  margin-bottom: 15px;
}

.post-content .webinar-author {
  display: none;
}

.webinar-author {
  display: flex;
  gap: 16px;
  margin-bottom: 15px;
}

.webinar-author-photo {
  display: flex;
  align-items: center;
  gap: 16px;
}

.webinar-author-photo img {
  display: flex;
  gap: 16px;
  width: 40px;
  height: 40px;
  border-radius: 100px;
}

.webinar-author-info {
  display: flex;
  flex-direction: column;
  gap: 4px;
}

.webinar-author-fullname {
  font-size: 16px;
  font-weight: 500;
  line-height: 23px;
}

.webinar-author-profession {
  font-size: 14px;
  font-weight: 400;
  line-height: 20px;
}

.webinar-form {
  width: 100%;
  gap: 4px;
  display: flex;
  flex-direction: column;
}

.webinar-form-content {
  width: 100%;
  display: flex;
  gap: 8px;
}

.webinar-form-input[type="email"] {
  border-radius: 14px!important;
  border: 1px solid #DEDEE8;
  background: #FFF;
  padding: 16px 11px;
  font-size: 16px;
  font-weight: 400;
  line-height: 22px;
  width: 100%;
}

.webinar-form-button {
  display: flex;
  padding: 16px 32px;
  border-radius: 14px;
  color: #212035;
  font-size: 16px;
  font-weight: 700;
  line-height: 24px;
  cursor: pointer;
  flex-shrink: 0;
}

.main-post .post-content p.webinar-form-error,
.category p.webinar-form-error,
p.webinar-form-error {
  font-size: 16px;
  line-height: 22px;
  font-weight: 400;
  color: #E4534E;
  display: none;
}

.main-post .post-content .webinar-form.webinar-form__error p.webinar-form-error,
.category .webinar-form.webinar-form__error p.webinar-form-error,
.webinar-form.webinar-form__error .webinar-form-error {
  display: block;
}

.webinar-form.webinar-form__error .webinar-form-input[type="email"] {
  border-color: #E4534E;
}

.webinar-policy {
  color: #212035;
  font-size: 16px;
  font-weight: 400;
  line-height: 23px;
}

.webinar-policy a {
  color: #212035;
  text-decoration: underline;
}

.webinar-form-success {
  border-radius: 8px;
  border: 1px solid #00B979;
  background: #F5FFFA;
  padding: 19px 51px 19px 19px;
  display: none;
  gap: 12px;
  position: fixed;
  top: 136px;
  right: 48px;
}

.webinar-form-success .webinar-form-success__icon {
  background: url('https://cdn.hwnova.site/wp-content/uploads/2025/10/22135502/icon_check-circle.svg') no-repeat transparent center;
  width: 24px;
  height: 24px;
  flex-shrink: 0;
}

.webinar-form-success p {
  font-size: 16px!important;
  font-weight: 500!important;
  line-height: 23px!important;
  width: 364px;
}

.webinar-form-success .webinar-form-success__close {
  background: url('https://cdn.hwnova.site/wp-content/uploads/2025/10/22140705/close2.svg') no-repeat transparent center;
  background-size: contain;
  position: absolute;
  width: 20px;
  height: 20px;
  cursor: pointer;
  right: 19px;
  top: 19px;
}

@media only screen and (max-width: 768px) {
  .webinar-block {
    padding: 16px 8px;
    width: 100%;
  }

  .main-post .post-content .webinar-block p,
  .category .webinar-block p {
    font-size: 16px;
    line-height: 23px;
  }

  .webinar-type {
    font-size: 14px;
    line-height: 36px;
  }

  .webinar-title,
  .webinar-date {
    font-size: 28px;
    line-height: 35px;
  }

  .webinar-block p {
    font-size: 16px;
    line-height: 23px;
  }

  .webinar-author-info {
    gap: 0;
  }

  .webinar-form {
    flex-direction: column;
  }

  .webinar-form-button {
    justify-content: center;
  }
}

@media only screen and (max-width: 451px) {
  .webinar-form-content {
    flex-direction: column;
  }
  
  .webinar-form-success {
    width: auto;
    right: 0;
    margin: 0 16px;
    top: 96px;
    padding: 15px 47px 15px 15px;
  }

  .webinar-form-success p {
    font-size: 14px!important;
    line-height: 20px!important;
    width: 100%;
  }

  .webinar-form-success .webinar-form-success__close {
    top: 15px;
    right: 15px;
  }
}